Upstream information

CVE-2018-6003 at MITRE

Description

An issue was discovered in the _asn1_decode_simple_ber function in decoding.c in GNU Libtasn1 before 4.13. Unlimited recursion in the BER decoder leads to stack exhaustion and DoS.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3
SUSE Bugzilla entry: 1076832 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/default-http-backend:beta1
Container caasp/v4/dnsmasq-nanny:2.78
Container caasp/v4/flannel:0.9.1
Container caasp/v4/haproxy:beta1
Container caasp/v4/kubedns:beta1
Container caasp/v4/nginx-ingress-controller:beta1
Container caasp/v4/openldap:beta1
Container caasp/v4/pause:1.0.0
Container caasp/v4/pv-recycler-node:8.25
Container caasp/v4/salt-api:beta1
Container caasp/v4/salt-master:beta1
Container caasp/v4/salt-minion:beta1
Container caasp/v4/sidecar:beta1
Container caasp/v4/velum:4.0.0
Container suse/sles12sp4:latest
Container suse/sles12sp5:latest
  • libtasn1 >= 4.9-3.5.1
  • libtasn1-6 >= 4.9-3.5.1
SUSE CaaS Platform ALL
  • libtasn1 >= 4.9-3.5.1
  • libtasn1-6 >= 4.9-3.5.1
Patchnames:
SUSE-CAASP-ALL-2018-214
SUSE Linux Enterprise Desktop 12 SP3
  • libtasn1 >= 4.9-3.5.1
  • libtasn1-6 >= 4.9-3.5.1
  • libtasn1-6-32bit >= 4.9-3.5.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-214
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • libtasn1 >= 4.9-3.5.1
  • libtasn1-6 >= 4.9-3.5.1
  • libtasn1-6-32bit >= 4.9-3.5.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libtasn1 >= 4.9-3.10.1
  • libtasn1-6 >= 4.9-3.10.1
  • libtasn1-6-32bit >= 4.9-3.10.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libtasn1 >= 4.13-4.2.1
  • libtasn1-6 >= 4.13-4.2.1
  • libtasn1-6-32bit >= 4.13-4.2.1
  • libtasn1-devel >= 4.13-4.2.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libtasn1 >= 4.13-4.5.1
  • libtasn1-6 >= 4.13-4.5.1
  • libtasn1-6-32bit >= 4.13-4.5.1
  • libtasn1-devel >= 4.13-4.5.1
SUSE Linux Enterprise Module for Basesystem 15
  • libtasn1 >= 4.13-2.15
  • libtasn1-6 >= 4.13-2.15
  • libtasn1-devel >= 4.13-2.15
SUSE Linux Enterprise Module for Desktop Applications 15
  • libtasn1-6-32bit >= 4.13-2.15
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libtasn1 >= 4.9-3.5.1
  • libtasn1-6 >= 4.9-3.5.1
  • libtasn1-6-32bit >= 4.9-3.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-214
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libtasn1-devel >= 4.9-3.5.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-214
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libtasn1-devel >= 4.9-3.5.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libtasn1-devel >= 4.9-3.10.1
openSUSE Leap 15.0
  • libtasn1 >= 4.13-lp150.2.2
  • libtasn1-6 >= 4.13-lp150.2.2
Patchnames:
openSUSE Leap 15.0 GA libtasn1-4.13-lp150.2.2
openSUSE Tumbleweed
  • libtasn1-6 >= 4.17.0-1.2
  • libtasn1-6-32bit >= 4.17.0-1.2
  • libtasn1-devel >= 4.17.0-1.2
  • libtasn1-devel-32bit >= 4.17.0-1.2
  • libtasn1-tools >= 4.17.0-1.2
Patchnames:
openSUSE Tumbleweed GA libtasn1-6-32bit-4.17.0-1.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libtasn1 Released
Magnum Orchestration libtasn1 Not affected
SUSE CaaS Platform 4.0 libtasn1 Already fixed
SUSE Container as a Service Platform 2.0 libtasn1 Released
SUSE Enterprise Storage 5 libtasn1 Released
SUSE Enterprise Storage 6 libtasn1 Already fixed
SUSE Linux Enterprise Desktop 12 SP2 libtasn1 Affected
SUSE Linux Enterprise Desktop 12 SP3 libtasn1 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libtasn1 Released
SUSE Linux Enterprise High Performance Computing 15 LTSS libtasn1 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libtasn1 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 libtasn1 Already fixed
SUSE Linux Enterprise Server 11 SP3 LTSS libtasn1 Not affected
SUSE Linux Enterprise Server 11 SP4 libtasn1 Not affected
SUSE Linux Enterprise Server 12 LTSS libtasn1 Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS libtasn1 Not affected
SUSE Linux Enterprise Server 12 SP2 libtasn1 Not affected
SUSE Linux Enterprise Server 12 SP3 libtasn1 Released
SUSE Linux Enterprise Server 12 SP3 ESPOS libtasn1 Released
SUSE Linux Enterprise Server 12 SP3 LTSS libtasn1 Released
SUSE Linux Enterprise Server 12 SP4 ESPOS libtasn1 Released
SUSE Linux Enterprise Server 12 SP4 LTSS libtasn1 Released
SUSE Linux Enterprise Server 12 SP5 libtasn1 Released
SUSE Linux Enterprise Server 15 ESPOS libtasn1 Already fixed
SUSE Linux Enterprise Server 15 LTSS libtasn1 Already fixed
SUSE Linux Enterprise Server 15 SP1 LTSS libtasn1 Already fixed
SUSE Linux Enterprise Server BCL 12 SP3 libtasn1 Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libtasn1 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libtasn1 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libtasn1 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libtasn1 Released
SUSE Linux Enterprise Server for SAP Applications 15 libtasn1 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libtasn1 Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 libtasn1 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libtasn1 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libtasn1 Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libtasn1 Released
SUSE Manager Proxy 4.0 libtasn1 Already fixed
SUSE Manager Retail Branch Server 4.0 libtasn1 Already fixed
SUSE Manager Server 4.0 libtasn1 Already fixed
SUSE OpenStack Cloud 8 libtasn1 Released
SUSE OpenStack Cloud 9 libtasn1 Released
SUSE OpenStack Cloud Crowbar 8 libtasn1 Released
SUSE OpenStack Cloud Crowbar 9 libtasn1 Released